EastShare Mod Homepage:
  >> http://eastshare.tk/
for any question or comment, please visit:
  >> http://www.eastshare.tw/forumdisplay.php?fid=121
EastShare IRC channel:
  >> server: irc.giga.net.tw >> channel: EastShare
-------------------------------------------------------------
 Note: Morph changelog please refer to Changelog.MorphXT.txt
-------------------------------------------------------------



--------------------------------------------------------
Changelog for eMule v0.50a EastShare v15 [10/18/2010]
--------------------------------------------------------
based on [MorphXT 12.4]

MERGED : Code Merged to MorphXT 12.4 (eMule 0.50a) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.49b EastShare v14.3 [01/13/2009]
--------------------------------------------------------
based on [MorphXT pre-11.1]

MERGED : Code Merged to MorphXT pre-11.2 (eMule 0.49b) [Pretender]
FIXED: incorrect and redundent operation for Double backup [AndCycle]
FIXED: Ipfilter.zip file failed to update (D10Tmain) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.49b EastShare v14.2 [09/23/2008]
--------------------------------------------------------
based on [MorphXT 11.1]

MERGED : Code Merged to MorphXT 11.1 (eMule 0.49b) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.49a EastShare v14.0 [05/25/2008]
--------------------------------------------------------
based on [MorphXT 11]

MERGED : Code Merged to MorphXT 11 (eMule 0.49a) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.48a EastShare v13.5 [04/22/2008]
--------------------------------------------------------
based on [MorphXT pre-10.5]

MERGED : Code Merged to MorphXT pre-10.5 (eMule 0.48a) [Pretender]
CHANGED : EastShare Credit System [Pretender]

NOTES  : EashShare credit system:
         base ratings: id. users(100); not supported users(80); invalid id. users(0); min.=10, max.=5000
         +3 per MB uploaded and -1 for downloaded; +50 if upload 1MB+;
         if rating < 50 and upload 10MB+, rating = 50; 50 < rating < 110 and upload 100MB+, rating = 110; 110 < rating < 500 and upload 1GB+, rating = 500

--------------------------------------------------------
Changelog for eMule v0.48a EastShare v13.4 [12/06/2007]
--------------------------------------------------------
based on [MorphXT 10.5]

MERGED : Code Merged to MorphXT 10.5 (eMule 0.48a) [Pretender]
CHANGED : Check already downloaded files updated (Xtreme Mod) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.48a EastShare v13.3 [09/14/2007]
--------------------------------------------------------
based on [MorphXT 10.3]

MERGED : Code Merged to MorphXT 10.3 (eMule 0.48a) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.48a EastShare v13.2 [09/11/2007]
--------------------------------------------------------
based on [MorphXT 10.2]

MERGED : Code Merged to MorphXT 10.2 (eMule 0.48a) [Pretender]
ADDED : Anti-leecher lists [Pretender]

--------------------------------------------------------
Changelog for eMule v0.48a EastShare v13.1 [08/31/2007]
--------------------------------------------------------
based on [MorphXT 10.1]

CHANGED : Tolerate blank character in ed2k links (for compatibility with some non-unicoded links) [Pretender]
FIXED : Fine Credit System fix and update [Pretender]
FIXED : Ed2k links monitoring not functional [Pretender]

NOTE  : FineCS Added - If not received at least a chunk, limit "risk" to 3 chunks instead of 4

------------------------------------------------------
Changelog for eMule v0.48a EastShare v13 [08/07/2007]
------------------------------------------------------
based on [MorphXT 10.1]

MERGED : Code Merged to MorphXT 10.1 (eMule 0.48a) [Pretender]
ADDED : Client.met expiration [Pretender]

--------------------------------------------------------
Changelog for eMule v0.47c EastShare v12.2 [03/21/2007]
--------------------------------------------------------
based on [MorphXT 9.6]

MERGED : Code Merged to MorphXT 9.6 (eMule 0.47c) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.47c EastShare v12.1 [02/28/2007]
--------------------------------------------------------
based on [MorphXT 9.5]

MERGED : Code Merged to MorphXT 9.5 (eMule 0.47c) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.47c EastShare v12.0 [01/01/2007]
--------------------------------------------------------
based on [MorphXT 9.2]

MERGED : Code Merged to MorphXT 9.2 (eMule 0.47c) [Pretender]
CHANGED : Check already downloaded files updated (Xtreme Mod) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.47a EastShare v11.5 [09/06/2006]
--------------------------------------------------------
based on [MorphXT 8.14]

MERGED : Code Merged to MorphXT 8.14 (eMule 0.47a) [Pretender]
CHANGED : Downloaded History updated (Xtreme Mod) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.47a EastShare v11.4 [07/25/2006]
--------------------------------------------------------
based on [MorphXT 8.13 beta9]

MERGED : Code Merged to MorphXT 8.13 beta9 (eMule 0.47a) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.47a EastShare v11.2 [04/06/2006]
--------------------------------------------------------
based on [MorphXT pre-8.10]

MERGED : Code Merged to MorphXT pre-8.10(eMule 0.47a) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.47a EastShare v11.1 [03/28/2006]
--------------------------------------------------------
based on [MorphXT 8.9]

MERGED : Code Merged to MorphXT 8.9(eMule 0.47a) [Pretender]

------------------------------------------------------
Changelog for eMule v0.47a EastShare v11 [03/24/2006]
------------------------------------------------------
based on [MorphXT 8.1]

---------------------------------------------------------
Changelog for eMule v0.47a EastShare v10.10 [03/10/2006]
---------------------------------------------------------
based on [MorphXT 8.1]

FIXED  : problem caused by modstring [TAHO]

--------------------------------------------------------
Changelog for eMule v0.47a EastShare v10.9 [03/10/2006]
--------------------------------------------------------
based on [MorphXT 8.1]

MERGED : Code Merged to MorphXT 8.1(eMule 0.47a) [TAHO]

--------------------------------------------------------
Changelog for eMule v0.47a EastShare v10.8 [03/02/2006]
--------------------------------------------------------
based on [MorphXT 8.1]

MERGED : Code Merged to MorphXT 8.1(eMule 0.47a) [Pretender/TAHO]

--------------------------------------------------------
Changelog for eMule v0.46c EastShare v10.7 [12/21/2005]
--------------------------------------------------------
based on [MorphXT 7.6]

MERGED : Code Merged to MorphXT 7.6(eMule 0.46c) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.46c EastShare v10.6 [09/28/2005]
--------------------------------------------------------
based on [MorphXT pre-7.4]

MERGED : Code Merged to MorphXT pre-7.4(eMule 0.46c) [Pretender]
	 FIXED  : (major) Rollback code arround ICS feature (reason of failed upload & download) [SiRoB]
	 FIXED  : WebCache site is down so link for autoupdate webcachesetting is removed [SiRoB]
	 FIXED  : Small webcache fix arround ProcessFirstHttpGet [SiRoB]
	 ADDExD  : MMVersion parameter for Morph based mods [SiRoB]
CHANGED: Fine credit system [Pretender]

NOTE   : Fine Credit System -- only works on incomplete files, friends excluded.
	 The penalizing threshold is set to a 4 complete chunks difference. 
	 Once the U-D (relative to me) is above that threshold and U/D<4, the client's score is decreased by
		score = ((4*chunksize)/(uploaded-downloaded))
	 if U/D>4, the client's score is decreased by
		score = ((4*chunksize)/(uploaded-downloaded))^2
	 Moreover, queue full clients will get 0 score.

--------------------------------------------------------
Changelog for eMule v0.46c EastShare v10.5 [09/07/2005]
--------------------------------------------------------
based on [MorphXT pre-7.4]

MERGED : Code Merged to MorphXT pre-7.4(eMule 0.46c) [Pretender]
	 FIXED  : (major) SafeHash Patch from SlugFiller mod (Borschtsch) [SiRoB]
FIXED  : Put back friend boost (in Morph>Upload>friend tab) [Pretender]

--------------------------------------------------------
Changelog for eMule v0.46c EastShare v10.4 [09/02/2005]
--------------------------------------------------------
based on [MorphXT 7.3]

MERGED : Code Merged to MorphXT 7.3(eMule 0.46c) [Pretender]
	 FIXED  : (major) Patched Official minimule to eradicate the systray crash [SiRoB]
	 FIXED  : (major) Patched Official CreateBlockRequests causing crash reported by leuk_he [SiRoB]
	 FIXED  : (major) Missed code when merging to offical 0.46c causing unpredicable resulte [SiRoB]
	 FIXED  : (minor) Missed some code with the previous hideos update [SiRoB]
	 FIXED  : (minor) wrong display rating icon in transfer window [SiRoB]
	 ADDED  : Catch creditmet file loading exception for public key length greater than MAXPUBKEYSIZE [SiRoB]
		  - this fix crash when a specific corruption occur in creditmet files.
	 CHANGED: Reviewed every lib project setting to speed up the code [SiRoB]
	 CHANGED: USC: Reviewed the way to consume bandwidth [SiRoB]
	 CHANGED: USC: Try to keep always one trickle slot [SiRoB]
	 CHANGED: pthread dll have benn turned into static lib thank's to leuk_he (no need to keep pthreadvc dll) [SiRoB]
	 CHANGED: Changed crash dump directive to not show the emule dump email adress [SiRoB]
	 CHANGED: Fake.dat file are now available in zip format so i changed the reset setting [SiRoB]
	 REMOVED: No more ReadWriteLock safeHash code [SiRoB]
	 TWEAKED: May the loading of creditmet file speed up [SiRoB]
FIXED  : Clients icon error displayed in DownloadClientsList [Pretender]

------------------------------------------------------------------------------------------
Changelog for eMule v0.46c EastShare v10.3 - 2nd Anniversary Special Edition [08/22/2005]
------------------------------------------------------------------------------------------
based on [MorphXT 7.2]

MERGED : Code Merged to MorphXT 7.2(eMule 0.46c) [Pretender]
	 MERGED : Ported to 0.46c version [SiRoB]
	 FIXED  : Properly display the upload overhead [SiRoB]
	 FIXED  : May i found the responsible for rare crash arround resume next file [SiRoB]
	 ADDED  : Serveral const optimization [SiRoB]
	 ADDED  : Even more requpfile Optimization (for crazy user sharing many files :), reduce CPU usage on zz upload system based mod) [SiRoB]
		  - In short this avoid looking for knownfile pointer in the sharedlist. If you are sharing many many file this may reduce considerably cpu load.
	 ADDED  : Some kind of stop open slot in some congestion case or when connection is lost [SiRoB]
	 CHANGED: USS: use the official one now [SiRoB]
	 CHANGED: Updated MultiSort from SlugFiller mod + small change to permit both sorting with CTRL key [SiRoB]
	 CHANGED: Updated SafeHash from SlugFiller mod [SiRoB]
	 CHANGED: Updated UPNP Support from NoNKi patch [SiRoB]
	 REMOVED: Updated bad MODSTRING with null char [SiRoB]
FIXED  : Fine Credit System divided by zero problem [Pretender]
FIXED  : EastShare clients counter error [Pretender]

--------------------------------------------------------
Changelog for eMule v0.46a EastShare v10.2 [08/19/2005]
--------------------------------------------------------
based on [MorphXT 7.1]

ADDED  : New upload priority - Lower [Pretender]
CHANGED: Fine Credit System won't be triggered if (uploaded/downloaded)<4 [Pretender]

--------------------------------------------------------
Changelog for eMule v0.46a EastShare v10.1 [08/07/2005]
--------------------------------------------------------
based on [MorphXT 7.1]

ADDED  : Push Small Files which is smaller than 1 chunk (CB Mod) [Pretender]
ADDED  : modified Fine Credit System from CB Mod, being any other credit system's add-on [Pretender]

NOTE   : Push Small Files -- pushes small files < 1 chunk by chunksize(9.28MB)/filesize
NOTE   : Fine Credit System -- only works on incomplete files, friends excluded.
	 The penalizing threshold is set to a 4 complete chunks difference. 
	 Once the U-D (relative to me) is above that threshold, the client's score is decreased.
		score = ((4*chunksize)/(uploaded-downloaded))^2
	 Moreover, queue full clients will get 0 score.

------------------------------------------------------
Changelog for eMule v0.46a EastShare v10 [08/04/2005]
------------------------------------------------------
based on [MorphXT 7.1]

ADDED  : More tabs in Downloaded History (all time transferred/requests/accepts) [Pretender]
REMOVED: New HideOS [Pretender]

-------------------------------------------------------
Changelog for eMule v0.46a EastShare v9.5 [07/04/2005]
-------------------------------------------------------
based on [MorphXT 7.1]

MERGED : Code Merged to MorphXT 7.1(eMule 0.46a) [Pretender]
ADDED  : Downloaded History, switch in shared file list (emulEspana/Xtreme) [Pretender]
CHANGED: Enlarged file buffer to 4MB [Pretender]

-------------------------------------------------------
Changelog for eMule v0.46a EastShare v9.4 [06/09/2005]
-------------------------------------------------------
based on [MorphXT 7.0]

MERGED : Code Merged to MorphXT 7.0(eMule 0.46a) [Pretender]
ADDED  : NiceHash from CB mod (need some feed back for this testing) [AndCycle]
         relate topic http://forum.emule-project.net/index.php?showtopic=63906&hl=nicehash

NOTE   : Don't forget to use pthreadVC2.dll instead of version 1.

-------------------------------------------------------
Changelog for eMule v0.46a EastShare v9.3 [06/02/2005]
-------------------------------------------------------
based on [MorphXT pre-7.0]

MERGED : Code Merged to MorphXT pre-7.0(eMule 0.46a) [Pretender]
	 MERGED : Ported to 0.46a Official version [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.45b EastShare v9.1 [03/11/2005]
-------------------------------------------------------
based on [MorphXT pre-6.2]

MERGED : Code Merged to MorphXT pre-6.2(eMule 0.45b) [Pretender]

-----------------------------------------------------
Changelog for eMule v0.45b EastShare v9 [02/19/2005]
-----------------------------------------------------
based on [MorphXT 6.1]

TWEAKED: some code tweaks and synchronizations [Pretender]

-------------------------------------------------------
Changelog for eMule v0.45b EastShare v8.9 [02/14/2005]
-------------------------------------------------------
based on [MorphXT 6.1]

MERGED : Code Merged to MorphXT 6.1(eMule 0.45b) [Pretender]
	 MERGED : Ported to 0.45b Official version [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.44d EastShare v8.8 [11/28/2004]
-------------------------------------------------------
based on [MorphXT pre-5.9]

MERGED : Code Merged to MorphXT pre-5.9(eMule 0.44d) [Pretender]
	 ADDED  : Show permission: default state display in sharedfile window [SiRoB]
	 ADDED  : Import Parts from SR13 [SiRoB]
	 FIXED  : Official Web Template can be used now [SiRoB]
	 FIXED  : Powershared client in uploadinglist are correctly sorted when other client lose this state [SiRoB]
	 CHANGED: USS: Trickle datarate is now 0.5kB/s for low speed datarate [SiRoB]
	 CHANGED: USC: Try to open new slot smoothly [SiRoB]
ADDED  : EastShare clients counter [Pretender]
ADDED  : Anti-Leecher database [Pretender]
FIXED  : WebServer searching fix by CML [Pretender]

NOTE   : For win2k user you can have 256 colors systray display by patching your explorer.exe

-------------------------------------------------------
Changelog for eMule v0.44d EastShare v8.7 [11/22/2004]
-------------------------------------------------------
based on [MorphXT pre-5.9]

MERGED : Code Merged to MorphXT pre-5.9(eMule 0.44d) [Pretender]
	 FIXED  : Credit file priority load has been corrected [SiRoB]
	 FIXED  : Systray icone didn't display the speed bar in some case [Commander]

-------------------------------------------------------
Changelog for eMule v0.44d EastShare v8.6 [11/19/2004]
-------------------------------------------------------
based on [MorphXT 5.8]

MERGED : Code Merged to MorphXT 5.8(eMule 0.44d) [Pretender]
	 MERGED : Code ported to 0.44d Official version [SiRoB]
	 ADDED  : a Flag on the clientdetail window [Commander/SiRoB]
	 ADDED  : Draw date and time log in default color [SiRoB]
	 ADDED  : Resend FilePartstatus in some circonstance from Pawcio [SiRoB]
	 ADDED  : One Webservice link to get file comments from other user (www.jugle.net) [SiRoB]
	 FIXED  : Official -Fix-: Event on the two Chat button [SiRoB]
	 FIXED  : Official -Fix-: Stat were not reseted when stopping or completed file occure [SiRoB]
	 FIXED  : Reworked some zz code to avoid some possible uploadinglist disturb [SiRoB]
	 FIXED  : USC: No-focused class give now the same datarate to every slot [SiRoB]
	 FIXED  : PartFile download statistic are now correctly cached [SiRoB]
	 FIXED  : The use of inteligent chunk selection make some possible crash [SiRoB] 
	 CHANGED: Some official icon were changed [SiRoB/Commander] 
	 CHANGED: Moved 'Show Client Percentage' in Morph preferency [SiRoB]
	 CHANGED: Turning back HideOS available on partfile [SiRoB]
	 CHANGED: Download and Upload Datarate are now averaged on 15" [SiRoB]
	 TWEAKED: USC: Reviewed to open less slot [SiRoB]
	 TWEAKED: SOTN: Revelate to a client only the rarest part with the equal min availability [SiRoB]
	 TWEAKED: SOTN: Allready Requested part in uploadinglist are now taken into account [SiRoB]
	 TWEAKED: Reviewed auto Powershare [SIRoB]
	 TWEAKED: Changed the way to refresh UploadDatarate (call once in the process) [SiRoB]
	 REMOVED: The eMule+ Preferency dialog have been removed temporaly [SIRoB]
	 REMOVED: Keep Powershare state when client added in uploadinglist has been removed [SiRoB]
	 REMOVED: Restriction on hideos for partfile have been removed [SiRoB]
REMOVED: TAHO's New HideOS [Pretender]

NOTE-1: Be carefull the time for average datarate has been lowered. So the graph are a more realistic and reactive. This may disturb you and make you feel that there is some upload trouble.
NOTE-2: For webserver user, please use the new template provided (emule_Chicane_MorphXT.tmpl)

-------------------------------------------------------
Changelog for eMule v0.44d EastShare v8.5 [11/17/2004]
-------------------------------------------------------
based on [MorphXT pre-5.8]

MERGED : Code Merged to MorphXT pre-5.8(eMule 0.44d) [Pretender]
	 ADDED  : New option in Download Morph preferency to use or not the Intelligent Chunk Selection (ICS) for next block request [SiRoB]
	 FIXED  : The AutoSetResumeOrder have been corrected to work properly in all case [SiRoB]
	 FIXED  : zz Upload System have been reviewed to properly remove WebCache Socket from standardOrderList [SiRoB]
	 FIXED  : WebCache Fix arround the test of valide blockrequest range [SiRoB]
	 FIXED  : Legend Graph are now correctly drawn in case of wide character language use [SiRoB]
	 FIXED  : ResortUploadSlot Fix in some case socket event can disturb the uploadinglist [SiRoB]
	 FIXED  : The first and last chunk download should be ok now [SiRoB]
	 CHANGED: Now we allways use the most recent credit.met file, if it's corrupted use backup one [SiRoB]
	 CHANGED: zz Trickle slot now set @1kB/s to avoid some possible timeout [SiRoB]
	 CHANGED: Right Align Upload speed column [SiRoB]
	 TWEAKED: Display the new version when we manualy update a file in morph preferency [SiRoB]
	 TWEAKED: Improve credit.met loading [SiRoB]
	 TWEAKED: Avoid call SavePartFile when UpdateAutoUpPriority() is called, just call when m_bAutoUpPriority trigger false to true [SiRoB]
	 TWEAKED: Lowering opened trickle slots [SiRoB]

------------------------------------------------------
Changelog for eMule v0.44b EastShare v8.4 [11/3/2004]
------------------------------------------------------
based on [MorphXT 5.6]

MERGED : Code Merged to MorphXT 5.6(eMule 0.44b) [Pretender]
	 FIXED  : Upload Splitting Class final fix [SiRoB]

------------------------------------------------------
Changelog for eMule v0.44b EastShare v8.3 [11/1/2004]
------------------------------------------------------
based on [MorphXT 5.3]

MERGED : Code Merged to MorphXT 5.3(eMule 0.44b) [Pretender]
	 FIXED  : Fixed Upload Splitting Class [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.44b EastShare v8.2 [10/30/2004]
-------------------------------------------------------
based on [MorphXT 5.2]

MERGED : Code Merged to MorphXT 5.2(eMule 0.44b) [Pretender]
	 MERGED : WebCache 1.2f [Commander/SiRoB]
	 FIXED  : RSS news reader (XML Parsing) [SiRoB]
	 FIXED  : Put back in waitingqueue when too many upload slot occur [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.44b EastShare v8.1 [10/19/2004]
-------------------------------------------------------
based on [MorphXT Pre-5.2]

MERGED : Code Merged to MorphXT Pre-5.2(eMule 0.44b) [Pretender]
	 FIXED  : Source Load Saver have been corrected [SiRoB]
	 FIXED  : Patch taken from other ListCtrl to avoid crash in the FriendListCtrl (at shutdown some item were not valide) [SiRoB]
	 FIXED  : Porper PowerShare display in Queuelistctrl (related to unsecure client) [SiRoB]
	 ADDED  : Bandwidth limit for friend in morph preferency [SiRoB]
	 ADDED  : Don't Refresh item if not needed (DownloadListCtrl, uploadListCtrl, QueueListCtrl, ClientListCtrl) [SiRoB]
	 CHANGED: Intelligent Chunk Selection now use the advanced per file setting for the preview first and last chunk [SiRoB]
	 TEAWKED: Hide Over Share display info now show all value in the column [SiRoB]
	 TEAWKED: The auto powershare mecanisme have been changed to wait some complet source info before triggering [SiRoB]
	 TWEAKED: IP2Country have been improuved (some tweak from emule+) and binairy search methode have been implemented [SiRoB]
	 TWEAKED: Don't draw hidden columns (DownloadListCtrl, uploadListCtrl, QueueListCtrl, ClientListCtrl) [SiRoB]
	 TWEAKED: Don't draw hidden rect (DownloadListCtrl, uploadListCtrl, QueueListCtrl, ClientListCtrl) [SiRoB]
	 TWEAKED: Some Code Optimization to reduce CPU load when client on queue grow [SiRoB]

-----------------------------------------------------
Changelog for eMule v0.44b EastShare v8 [10/03/2004]
-----------------------------------------------------
based on [MorphXT Pre-5.2]

MERGED : Code Merged to MorphXT Pre-5.2(eMule 0.44b) [Pretender]
	 ADDED  : Adding UPNP,RandomPort,Inproved ICF from emulEspaña [SiRoB]
	 ADDED  : Itsonlyme -modname- [SiRoB]
	 ADDED  : ed2k FriendLink support from emulEspaña (adapted) (ed2k://|friend|Username|Userhash|/ and ed2k://|friendlist|Url of emfriends.met|/) [Commander] 
	 ADDED  : WapServer from emulEspaña (adapted) [SiRoB/Commander]
	 ADDED  : Customized IncomingDir icon from emulEspaña [Commander]
	 ADDED  : Adding partial SNAFU code from eWombat [SiRoB]
	 CHANGED: You can use HideOS only if you are the complete source [SiRoB]
ADDED  : Intelligent Chunk Selection from stormit & pawcio by enkeyDEV [AndCycle]
ADDED  : Option to stop removing trickle client from uploading [AndCycle]
ADDED  : "Using phpBB URL-Tags style" checkbox in FileDetail for ed2kFileLink creation [AndCycle]
ADDED  : Options to Enable/Disable PowerShare internal File Priority [AndCycle]
FIXED  : fix known.met, rehashing known file problem [AndCycle]

-------------------------------------------------------
Changelog for eMule v0.44b EastShare v7.8 [09/23/2004]
-------------------------------------------------------
based on [MorphXT Pre-5.0]

MERGED : Code Merged to MorphXT Pre-5.0(eMule 0.44b) [Pretender]
	 ADDED  : Put back zz ratio [SiRoB]
	 FIXED  : Localized / hardcoded IDS's [Commander]
FIXED  : DownloadClientsList columns not saved on exit [Pretender]

-------------------------------------------------------
Changelog for eMule v0.44b EastShare v7.7 [09/19/2004]
-------------------------------------------------------
based on [MorphXT Pre-5.0]

MERGED : Code Merged to MorphXT Pre-5.0(eMule 0.44b) [Pretender]
	 ADDED  : ClientQueueProgressBar [Commander/SiRoB] (Idea by Roman2k)
	 ADDED  : Blinking Tray On Message Recieve from emulEspaña [Commander]
	 ADDED  : Preferency dialog use eMule Plus Group system [SiRoB]
	 ADDED  : Intelligent Chunk Selection from stormit & pawcio by enkeyDEV [AndCycle]
	 CHANGED: Percentage aspect on progress bar [SiRoB]
	 CHANGED: To give as much as possible allways a chunk to other client we never remove it from the uploading queue [SiRoB]
	 CHANGED: Friend Slot can be used until friend ratio reach 1:3, after the Bandwidth allowed for friend slot is restricted [SiRoB]
	 REMOVED: Ratio no longer present use official way (Friend still have ratio limiter) [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.44a EastShare v7.6 [09/11/2004]
-------------------------------------------------------
based on [MorphXT Pre-5.0]

MERGED : Code Merged to MorphXT Pre-5.0(eMule 0.44a) [Pretender]
	 ADDED  : Recalculate CRC32. Can be used to force EMule to compute the CRC32 of a file again - i.e. to check the correctness of a file after moving it to another hard disc. [MightyKnife]
	 ADDED  : CRC32 Localize [SiRoB]
	 FIXED  : Resource ID [SiRoB]
	 FIXED  : minor gui display bug arround the category priority [SiRoB]
	 FIXED  : Definitly fixed the Resume Next in the category context menu, this is not anymore a globaly Resume Next but a per-category resume [SiRoB]
	 FIXED  : Temporary banned client by ip detected by the zerofilled feature are well done (resort ip binary array) [SiRoB]
	 CHANGED: Removed the "..." and change the tree in Morph preferency [SiRoB]
	 CHANGED: Make one menu for CRC32 related function [SiRoB]
	 CHANGED: Anti-Leecher Mecanisme by adding the reason of detection in log [SiRoB]
	 REMOVED: Ratio no longer present [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.43b EastShare v7.4 [08/25/2004]
-------------------------------------------------------
based on [MorphXT Pre-4.2]

MERGED : Code Merged to MorphXT Pre-4.2(eMule 0.43b) [Pretender]
	 ADDED  : Preferences Side Banner from TPT / Enable-Disable on the Fly / Banner Picture [Commander/SiRoB/iCeCream]
	 ADDED  : Show version-numbers of Fakes- and IPfilter.dat and ip-to-country.csv in MorphII settings [Commander]
	 FIXED  : Finaly Fixed Resume Only in the samecat [SiRoB]
	 CHANGED: Rise the file buffer to 3MBytes [SiRoB]
	 CHANGED: LowID retry dialog to Server Preferency [SiRoB]
ADDED  : EastShare banner [®Xì­]
CHANGED: New startup sound = =||

-------------------------------------------------------
Changelog for eMule v0.43b EastShare v7.3 [08/16/2004]
-------------------------------------------------------
based on [MorphXT 4.1 RC1]

MERGED : Code Merged to MorphXT 4.1 RC1(eMule 0.43b) [Pretender]
	 ADDED  : Auto-updating to IP2Country [Commander]
	 ADDED  : MassRename in DownloadList [Commander]
	 ADDED  : Draw Connections Graph solid [Commander]
	 ADDED  : Log files are now placed in a 'logs" folder [MightyKnife]
	 FIXED  : Reworked MergeKnown & Synchronize with official code [SiRoB]
	 FIXED  : A4AF Fix [SiRoB]
	 CHANGED: PartFile Statistic are now saved in the .part (as well spreadBar statistic) (no more in known.met) [SiRoB]
ADDED  : Some localizations [wex/Pretender]

-------------------------------------------------------
Changelog for eMule v0.43b EastShare v7.2 [07/30/2004]
-------------------------------------------------------
based on [MorphXT 4.1 RC1]

MERGED : Code Merged to MorphXT 4.1 RC1(eMule 0.43b) [Pretender]
	 ADDED  : Enable/Disable startupsound (Preferences -> General ->Play startupsound) [Commander]
	 ADDED  : Save known.met when clicking 'reload' [MightyKnife]
	 ADDED  : CountryFlag to serverlist [Commander/Iberica]
	 ADDED  : CPU Optimizer [ePlus] [Commander]
	 ADDED  : Displaying the friend's country in the chatwnd info groupbox [Commander]
ADDED  : Restore RemovedDeadServer option [Pretender]
ADDED  : CPU Optimization Mode display on Splashscreen [Commander/Pretender]
FIXED  : Resume next file [TAHO]

-------------------------------------------------------
Changelog for eMule v0.43b EastShare v7.1 [07/25/2004]
-------------------------------------------------------
based on [MorphXT Pre-4.1]

MERGED : Code Merged to MorphXT Pre-4.1(eMule 0.43b) [Pretender]
	 ADDED  : CRC32-Calculation can now be used to convert existing CRC's to uppercase [MightyKnife]
	 ADDED  : Mass-Rename: Simple-Cleanup; only removes '.' and '_' characters [MightyKnife]
	 ADDED  : Mass-Rename: Insert-text-column-from-clipboard; pastes the clipboard data as a column to the current cursor position in the "New filenames" window. Should help to paste a list of episode titles into the filenames. [MightyKnife]
	 ADDED  : IP2Country columns to upload, queue, client, download and serverlist [Commander/Pretender]
	 ADDED  : Country and Clientsoftware columns to the commentlist [Commander]
	 FIXED  : Mass-Rename: Cleanup now works correctly for every line in the "New filenames" window [MightyKnife]
ADDED  : DownloadClientsCtrl from TBH (Slaham) [Pretender]
ADDED  : Show Client Percentage in DownloadList (Slaham) [Pretender]
FIXED  : MergeKnown causes error count in transferred filesize [AndCycle]
CHANGED: New transfer window from TBH (Slaham) [Pretender]

-----------------------------------------------------
Changelog for eMule v0.43b EastShare v7 [07/20/2004]
-----------------------------------------------------
based on [MorphXT 4.0]

MERGED : Code Merged to MorphXT 4.0(eMule 0.43b) [Pretender]
	 MERGED : Code merged to 0.43b [SiRoB]
	 ADDED  : Now we can visualise parts that we hide when we use the HideOS feature (cyan color) [SiRoB]
	 ADDED  : PBF Progression to avoid some brain-storming [SiRoB]
	 ADDED  : Splash Song by Commander [SiRoB]
	 FIXED  : Various fix & optimization [SiRoB]
	 CHANGED: r in StatusBar to said that we will be limited when 1:3 session ratio is reach [SiRoB]
	 CHANGED: R in StatusBar to said that we are actualy limited in download [SiRoB]
CHANGED: Adapt to SLUGFILLER's expired time known.met control [AndCycle]

NOTE:
About A4AF, the A4AF system from Khaos and offcial new one are fonction together.

Here a simplified priority explaination:
1: Advanced A4AF from Khaos (GetAllA4AF,Force A4AF On, Force A4AF Off)
2: Auto Swap All (A4AF) to this file
3: Linear Priority from Khaos fonctionnal when category is in Stacking mode
4: Category Priority
5: File Priority
6: Alphabetic Order | Balancing mode

-------------------------------------------------------
Changelog for eMule v0.42g EastShare v6.14 [07/05/2004]
-------------------------------------------------------
based on [MorphXT 3.5]

MERGED : Code Merged to MorphXT 3.5(eMule 0.42g) [Pretender]
	 ADDED  : "Resume paused file only in the same category" per category setting [SiRoB]
	 ADDED  : Now we can see parts hidden by the Share Only The Need feature [SiRoB]
	 ADDED  : A new Select view filter option to hide seen complet file [SiRoB]
	 ADDED  : Download/Upload in the transfert window [SiRoB]
	 ADDED  : New option in SCC preferency to specify if we want to resume only in the same category [SiRoB]
	 FIXED  : Statistic SlideBar [SiRoB]
	 CHANGED: Moved some preferency from SAC to SCC [SiRoB]
	 TWEAKED: Auto Power Share by checking the last seen information (partfile side) [SiRoB]
CHANGED: Simplify Equal Chance for Each File to a checkbox [AndCycle]

-------------------------------------------------------
Changelog for eMule v0.42g EastShare v6.13 [06/28/2004]
-------------------------------------------------------
based on [MorphXT Pre-3.4]

MERGED : Code Merged to MorphXT Pre-3.4(eMule 0.42g) [Pretender]
	 FIXED: Download file in search window will now work properly in case you don't use selectcategory or you select a category tab item [SiRoB]
CHANGED: Defeat 0-filled part senders [TAHO]
FIXED  : Score sort & entered time sort [TAHO]
TWEAKED: SUQWT [TAHO]
TWEAKED: Equal Chance Value now involed a time quantum base on file shared time [AndCycle]

NOTE: for the RSS news you can edit entry in XMLNews.dat

-------------------------------------------------------
Changelog for eMule v0.42g EastShare v6.12 [06/15/2004]
-------------------------------------------------------
based on [MorphXT 3.3]

MERGED : Code Merged to MorphXT 3.3(eMule 0.42g) [Pretender]
	 ADDED  : New friend message window from TPT [SiRoB]
	 ADDED  : Splitting Bar from O2 ajusted to work with the new graph style [SiRoB]
	 ADDED  : RSS from O2 with a little tweak [SiRoB]
	 ADDED  : Maella -Code Inprovement- in Opscop.ctrl from TPT [SiRoB]
	 ADDED  : Maella -Code Fix- in Opscop.ctrl from TPT [SiRoB]
	 ADDED  : BugFix in Cknownfile::setfilesize from Pichuein [SiRoB]
	 CHANGED: Set max ping limit as default in preferency [SiRoB]
	 CHANGED: Activated Powershare Limit feature [SiRoB]
	 TWEAKED: Share Only The Need [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.42g EastShare v6.11 [06/09/2004]
-------------------------------------------------------
based on [MorphXT 3.2]

FIXED  : New HideOS [TAHO]

-------------------------------------------------------
Changelog for eMule v0.42g EastShare v6.10 [06/07/2004]
-------------------------------------------------------
based on [MorphXT 3.2]

MERGED : Code Merged to MorphXT 3.2(eMule 0.42g) [Pretender]
	 FIXED  : Variaous fixes arround category selection support [SiRoB]
	 FIXED  : Show Permission preferency saving [SiRoB]
	 ADDED  : PowerShare Limit per file, you can now specify when you want to stop powersharing a file based on complete source [SiRoB]
	 CHANGED: FakeCheck & IPFilter updated to prevent people use direct link to data file and bypass the version test [SiRoB]
	 CHANGED: Updated from the zz upload system 20040531-1749 [SiRoB]
	 CHANGED: IP2Country added a new flag map [Commander]
	 CHANGED: Updated to the latest zz Upload system [SiRoB]
	 CHANGED: Don't use the search selection tab official way for ed2k weblink [SiRoB]
	 CHANGED: Turning ShareOnlyTheNeed preferency into boolean [SiRoB]
ADDED  : Backup tab and some other localizations [wex]

-------------------------------------------------------
Changelog for eMule v0.42g EastShare v6.9 [05/18/2004]
-------------------------------------------------------
based on [MorphXT 3.0]

MERGED : Code Merged to MorphXT 3.0(eMule 0.42g) [Pretender]
	 FIXED  : Selection Category Support for weblink [SiRoB]
	 FIXED  : Freeze trouble is away (Congratulation to zz to identify the cause) [SiRoB]
	 FIXED  : Crash when removed a file that is uploaded to an other client [SiRoB]
	 FIXED  : See A4AF Partstatus staying in blue [SiRoB]
	 FIXED  : Upload trouble due to client staying in unkown transfert [SiRoB]
	 FIXED  : Completed files aren't well identified by the select view filter [SiRoB]
	 FIXED  : The right statusbar containing some random text when no use of dynamic upload [SiRoB]
	 FIXED  : Cancel selective category dialog don't abort download from search result [SiRoB]
	 FIXED  : Slective Chunk used only the default setting and not the per file setting [SiRoB]
	 CHANGED: Changed the way to use the selective category, when we use it but the tab in search or PastEd2kLink dialog are used we bypass it [SiRoB]
	 CHANGED: Updated zz Upload system (big Thanks) [SiRoB]
CHANGED: SUQWT modified [TAHO]

-------------------------------------------------------
Changelog for eMule v0.42g EastShare v6.8 [05/09/2004]
-------------------------------------------------------
based on [MorphXT 2.9]

MERGED : Code Merged to MorphXT 2.9(eMule 0.42g) [Pretender]
	 MERGED : Code merged to 0.42g [SiRoB]
	 ADDED  : Solid Graph Option in Statistic preferency [SiRoB]
	 FIXED  : Columns Preferency Saving (Sort, Size, Visibility) [SiRoB]
	 CHANGED: Now Canceling Selection category mean aborting [SiRoB]
	 CHANGED: Review the Selection category support (if not used take the official way) [SiRoB]
	 REMOVED: Group notion for downloading files have been removed (never implemented) [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.42e EastShare v6.7 [04/26/2004]
-------------------------------------------------------
based on [MorphXT 2.8]

MERGED : Code Merged to MorphXT 2.8(eMule 0.42e) [Pretender]
	 FIXED  : Killing this ******* Invalide Parameter [SiRoB]
	 FIXED  : Some translation arround some button [SiRoB]
	 FIXED  : The freeze trouble should be away [SiRoB]
	 CHANGED: Updated UploadBandwithThrottler from the latest zz version [SiRoB]
	 CHANGED: zz ratio is presente when friend slot is activated on one of the friend [SiRoB]
	 CHANGED: systray & application icon without white glitch on dark desktop by FrankyFive [SiRoB]
	 TWEAKED: Improved Anti-Leecher feature avoid some case where leecher can enter in queue [SiRoB]

-------------------------------------------------------
Changelog for eMule v0.42e EastShare v6.6 [04/23/2004]
-------------------------------------------------------
based on [MorphXT 2.6]

FIXED  : K6-3 CPU failed in user security identification
CHANGED: Upload/Download rate modified to 2 decimal places [Pretender]
-------------------------------------------------------
Changelog for eMule v0.42e EastShare v6.5 [04/13/2004]
-------------------------------------------------------
based on [MorphXT 2.6]

MERGED : Code Merged to MorphXT 2.6(eMule 0.42e) [Pretender]
         FIXED  : Abnormal Know.met file growing [SiRoB]
         CHANGED: IpFilter and FakeCheck have been changed to avoid continuous update in case it is used with an autoupdater by other mod [SiRoB]
ADDED  : Invisible Mode (enable in EastShare tab, Winkey+S to switch) [Pretender]
-------------------------------------------------------
Changelog for eMule v0.42e EastShare v6.4 [04/08/2004]
-------------------------------------------------------
based on [MorphXT 2.5]

ADDED  : Update status before upload [TAHO] 
ADDED  : Aux Ports support from lugdunummaster [AndCycle]
CHANGED: RT Credit System update [so8so]

-------------------------------------------------------
Changelog for eMule v0.42e EastShare v6.2 [04/04/2004]
-------------------------------------------------------
based on [MorphXT 2.5]

MERGED : Code Merged to MorphXT 2.5(eMule 0.42e) [Pretender]
ADDED  : Friend Tabs in UploadList, ClientList, KnownList [Pretender] 
ADDED  : Option to enable/disable ChunkDots in progress bar [Pretender] 

-------------------------------------------------------
Changelog for eMule v0.42d EastShare v6.1 [04/03/2004]
-------------------------------------------------------
based on [MorphXT 2.4]

MERGED : Code Merged to MorphXT 2.4(eMule 0.42d) [Pretender]
         ADDED  : ModID Statistic from Slugfiller and code improvement from TPT [SiRoB]
         FIXED  : Systray Fix to avoid all the schedulable parameter to not correctly be saved at shutdown [SiRoB]
         FIXED  : A wroung test causing zz ratio allways activated since the 2.0 version :) [SiRoB]
         CHANGED: The current Download, Upload Slot+Overhead, Upload Friend Slot & Upload Slot are drawn in solid in Statistic Window [SiRoB]
         CHANGED: The average speed rate are dynamicly mesured from 1'' to 30'' depending on the number of sample [SiRoB]
         CHANGED: Update Code to the latest ZZ Upload System [SiRoB]
         CHANGED: Default Statistic Graph color [SiRoB]
CHANGED: Update SUWQT code from MoonLight [AndCycle]

-----------------------------------------------------
Changelog for eMule v0.42d EastShare v6 [03/16/2004]
-----------------------------------------------------
based on [MorphXT 2.3]

MERGED : Code Merged to MorphXT 2.3(eMule 0.42d) [Pretender]
         ADDED  : Pay Back First Tweak [SiRoB/AndCycle/Yun.SF3]  
         FIXED  : When adding CRC32 tag to a filename, the tag suffix could not be changed. [MightyKnife]  
         FIXED  : The prio for category is now well updated in the CAT Popup [SiRoB]   
         FIXED  : Several fixes on catagory, filter mask, icons and etc. [SiRoB]
         CHANGED: Updated some part of code from latest zz upload system related to uploadBandwidthThrottler and LanCommunRouterFinder [SiRoB]
         CHANGED: Update SafeHash and MergeKnown code from SF-IOM mod, partial changed mergeKnown code to adapt 0.42 code
         CHANGED: Powershare is now only applied for secured client [SiRoB]   
         REMOVED: Multiple Instance option, use the command "-IgnoreInstances" instead
         TWEAKED: Friend Slot Management, Show slot assignement in the message window and visual fix [SiRoB]
CHANGED: Leecher database updated [Pretender]
CHANGED: EastShare Credit System [Pretender]
REMOVED: FPU/MMX/AMD/SSE memset FPU/MMX/SSE memcpy optimized (not that needed in official 0.42d code)
REMOVED: Update status before upload (To be added in next version) 
NOTES  : EashShare credit system:
         base ratings: id. users(100); not supported users(80); invalid id. users(0); min.=10, max.=5000
         +6 per MB uploaded and -2 for downloaded; +100 if upload 1MB+; if rating < 50 and upload 1MB+, rating = 50

----------------------------------------------------------
Changelog for eMule v0.41b.29 EastShare v5.5 [02/29/2004]
----------------------------------------------------------
based on [MorphXT Pre 1.6]

MERGED : Code Merged to MorphXT Pre 1.6(eMule 0.41b.29) [Pretender]
         ADDED  : Friend Slot Advanced Management, addon for a fast access to them inspired from KTS and Xman [SiRoB]
         FIXED  : Several bugfix and update (A4AF and others) [SiRoB/AndCycle]
         CHANGED: Countryflag database [Commander]
ADDED  : Multiple Instances option from SF-IOM by VQB [AndCycle]
ADDED  : Infinite Queue option (SF-IOM) [AndCycle]
CHANGED: Friend ratings won't less than 100 in each credit system

----------------------------------------------------------
Changelog for eMule v0.41b.29 EastShare v5.1 [02/20/2004]
----------------------------------------------------------
based on [MorphXT Pre 1.5]

MERGED : Code Merged to MorphXT Pre 1.5(eMule 0.41b.29) [Pretender]
         ADDED  : Mass-Rename. Rename multiple files at once in a text field or with a file mask. Select some files in the shared files list,
                  right-click and choose 'Mass rename...'. [MightyKnife]
         ADDED  : CRC32 calculation/testing for files. Right click on a file in the shared files list lets you calculate the CRC32 for the file.
                  Furthermore a releaser tag can be added (together with the CRC) to the filename (of course for multiple files at once, too).
                  The calculated CRC is shown in a column on the right - together with an info whether the calculated CRC was found in 
                  the filename. (Hint: The calculated CRC32 will not be stored in known.met) [MightyKnife]
ADDED  : SearchCatch and cacheUDPsearchResults (SlugFiller-itsonlyme) [AndCycle]
CHANGED: PBF gap lowered to 1MB
TWEAKED: Countryflag code tweaks and show country name in server tab [AndCycle]

----------------------------------------------------------
Changelog for eMule v0.41b.29 EastShare v5 [02/12/2004]
----------------------------------------------------------
based on [MorphXT Pre 1.4]

MERGED : Code Merged to MorphXT Pre 1.4(eMule 0.41b.29) [Pretender]
         ADDED  : Patch against daylight saving bug. Can be activated in Morph Preferences. EMule needs to be restarted because it must eventually rehash all files (but only once and then no more)! [MightyKnife]
         ADDED  : Limited community support with community tags: Community icon, Columns for community affiliation in up-/client-/queuelist, Shared files visible for community.
                  (Of course no change of client rating in upload queue) [MightyKnife]
         ADDED  : Report hashing files activities [MightyKnife]
         ADDED  : Report activities in friendlist [MightyKnife]
         FIXED  : The default view value (HideOS, SelectiveChunk, Permissions & Share Only the Need) in the DownloadFile and SharedFile popup [SiRoB]
ADDED  : HotKey Win+S to bring up or hide emule [linekin]
         Note: Press HotKey when eMule disappears, it will show on tray first.

----------------------------------------------------------
Changelog for eMule v0.41b.29 EastShare v4.9 [02/07/2004]
----------------------------------------------------------
based on [MorphXT 1.3]

MERGED : Code Merged to MorphXT 1.3(eMule 0.41b.29) [Pretender]
ADDED  : IP2Country now support to display flag of the country, it requires countryflag.dll, also put it at /config/ [AndCycle]
CHANGED: Anti-Leecher database [Pretender]
CHANGED: SUQWT update (Moonlight) [AndCycle]
NOTES  : SUQWT share file priority modified: //release:1.8>2.7 //high:0.9>1.2 //normal:0.7>0.8 //low:0.6>0.5


----------------------------------------------------------
Changelog for eMule v0.41b.29 EastShare v4.5 [01/29/2004]
----------------------------------------------------------
based on [MorphXT 1.2]

MERGED : Code Merged to MorphXT 1.2(eMule 0.41b.29) [Pretender]
         ADDED  : Give access to Multiple Comment Changing [SiRoB]
         ADDED  : 2 Columns in SharedFile to see the HideOS & ShareOnlyTheNeed State [SiRoB]
         ADDED  : Share Only The Need in preference, originaly inspired from lovelace and implemented by Wistily but not configurable [SiRoB]
                  - Hide part already gotten by queued client 
                  - Used only for complete file sharing 
                  - This process is used before the HideOS feature, if all part are hidden, HideOS is used if it is activated 
         FIXED  : The software client statistic bug, during language change, seems to be out [SiRoB]
         FIXED  : Systray Popup doesn't disapair in some case (bond006) [SiRoB]
         CHANGED: Network status state in the statusBar [SiRoB]
         CHANGED: Auto clear completed download now in Display Tab as official way [SiRoB]
         CHANGED: HideOS config per file [SiRoB] 
ADDED  : IP2Country show client's country in each client list (Superlexx) [AndCycle]
CHANGED: PaybackFirst now have same priority as PowerShare and need (client uploaded to you-downloaded from you)>SESSIONAMOUNT(10MB) to reach the requirement [AndCycle]
NOTE   : IP2Country require you to download latest IP-to-Country Database from http://ip-to-country.webhosting.info/,
         unzip the file then put the ip-to-country.csv at /config/, then you can enable IP2Country at EastShare tab(will require restart mule)

----------------------------------------------------------
Changelog for eMule v0.41a.10 EastShare v4.1 [01/21/2004]
----------------------------------------------------------
based on [MorphKad 0.10]

FIXED  : Partfile tagcount error
CHANGED: EastShare crdit system modified to better suit SUQWT [Pretender]
NOTES  : EashShare credit system:
         base ratings: id. users(100); not supported users(80); invalid id. users(0); min.=10, max.=10000
         +8 per MB uploaded and -2 for downloaded; if rating < 50 and upload 1K+, rating = 50

--------------------------------------------------------
Changelog for eMule v0.41a.10 EastShare v4 [01/19/2004]
--------------------------------------------------------
based on [MorphKad 0.10]

!NEW!: EastShare Mod Homepage: http://eastshare.tk/

MERGED : Code Merged to MorphKad 0.10 (eMule 0.41a.10) [Pretender]
         ADDED  : Show download in bold in morph preferency [SiRoB]
         FIXED  : InputBox trouble causing some feature to not work (Renaming, Scheduler...) [AndCycle]
         FIXED  : Category tab masking [SiRoB]
         FIXED  : Source Saver isn't correct work [SiRoB]
         FIXED  : Wrong information used for the powershare limit on shared complet file [SiRoB]
         FIXED  : ShowSharePermissions coloring when the first column is hidden (xMule_MOD) [SiRoB]
         FIXED  : prefer resume same category [SiRoB]
         FIXED  : auto category selection for new download file (Advanced Filter is working now) [SiRoB]
         CHANGED: Morph Preferency for further feature [SiRoB]
CHANGED: update UploadBandidthThrottler to Zzul 20040106-1735 [linekin]

----------------------------------------------------------
Changelog for eMule v0.40f.26 EastShare v3.4 [12/30/2003]
----------------------------------------------------------
based on [MorphKad 0.8]

CHANGED: Show different colors in download list status [TAHO] 
CHANGED: Upload queue assortment [AndCycle] 

----------------------------------------------------------
Changelog for eMule v0.40f.26 EastShare v3.3 [12/20/2003]
----------------------------------------------------------
based on [MorphKad Pre0.8]

ADDED  : ShowSharePermissions (xMule_MOD) [AndCycle]
ADDED  : Display different QR (SlugFiller) [AndCycle]
FIXED  : Fixed bug in operations on multiple selected files (itsonlyme: selFix) [AndCycle]
CHANGED: SUQWT codes modified (TAHO)
CHANGED: HideOS to current version (SlugFiller) [AndCycle]
CHANGED: SafeHash to current version (SlugFiller) [AndCycle]
CHANGED: MergeKnown to current version (SlugFiller) [AndCycle]
CHANGED: PartNameRecovery v2 (enkeyDEV.6b) [AndCycle]

----------------------------------------------------------
Changelog for eMule v0.40f.26 EastShare v3.2 [12/17/2003]
----------------------------------------------------------
based on [MorphKad Pre0.8]

ADDED  : Reset file status info when start uploading [TAHO]
ADDED  : Name log file in date [AndCycle]
ADDED  : FPU/MMX/AMD/SSE memset FPU/MMX/SSE memcpy optimized (eMulePlus) [AndCycle]
ADDED  : Equal Chance For Each File [AndCycle]
FIXED  : Correct clients.met version [AndCycle]
REMOVED: On The Fly Optimization (eWombat) [AndCycle]

--------------------------------------------------------
Changelog for eMule v0.40f.26 EastShare v3 [12/12/2003]
--------------------------------------------------------
based on [MorphKad 0.7]

MERGED : Code Merged to MorphKad 0.7 (eMule 0.40f.26) [TAHO/Pretender]
         ADDED  : Now we can see the chunk disponibility of A4AF source (fixed and inspired from Khaos partstatuslist) [SiRoB]
¡@¡@¡@ ¡@ADDED  : Give more credits to rare files uploaders [Yun.SF3]
         FIXED  : Double click unfinished files in SharedFile window display FileDetail [SiRoB]
         FIXED  : Some change related to start crashing when a known.met file is corrupted [SiRoB]
         FIXED  : FakeCheck now worked in search windows [SiRoB]
         FIXED  : Client staying in the transfert for a long time without sending something [SiRoB]
         FIXED  : Actualisation of Progress & Obtained Part Bar shader when there is swapping of source [SiRoB]
¡@¡@ ¡@¡@FIXED  : HotFix Due Complete Source Feature [SiRoB]
¡@¡@¡@ ¡@FIXED  : Bug making interraction between A4AF & Category [SiRoB]
         CHANGED: Put the Official Percentage Display on the download progress bar with bold font [SiRoB]
         CHANGED: Adapted to use the Official A4AF Handling or the Advanced A4AF from Khaos (disable Smart A4AF & Advanced A4AF to use official one) [SiRoB]
 ¡@¡@¡@¡@CHANGED: ZZ Patch Return of prio on uploading list [SiRoB]
¡@ ¡@¡@¡@CHANGED: Some code To see the complet source number given by the client [SiRoB]
         TWEAKED: Fake Check reviewed a little [SiRoB]
¡@¡@ ¡@¡@TWEAKED: PowerShare Limit more accurate; don't depand only on the complet source (to avoid some possible wrong complet source report by other client or ours) [SiRoB]
ADDED  : Save Upload Queue Wait Time v2 (Moonlight) [AndCylce]
ADDED  : On The Fly Optimization (eWombat) [AndCycle]
ADDED  : AutoClearComplete (NoamSon) [AndCycle] //Tag: AutoClearComplete (NoamSon)
ADDED  : Lowid to Highid Automatic Callback (enkeyDEV) [AndCycle]
ADDED  : Partfile Name Recovery (enkeyDEV) [AndCycle]
ADDED  : Delete Shared File (TBH) [linekin]
ADDED  : Pawcio Credit [AndCycle]
CHANGED: PayBackFirst improvement [AndCycle]
CHANGED: Reduce HD head moving (bluecow) [AndCycle]
CHANGED: 'BoostLessUploaded' now works on every file depending on total transer / filesize [linekin]
CHANGED: PayBackFirst now has higher priority than PowerShare [AndCycle]
REMOVED: ClientMet Control [AndCycle]
TWEAKED: Credit System Selection Code improvement [AndCycle]

NOTES  : SUQWT(Save Upload Queue Wait Time) v2
	 Save a credits file in SUQWTv2 format along with the modified one named clients.met.SUQWTv2.met name.
	 Original credits file format will be saved with original name.

--------------------------------------------------------
Changelog for eMule v0.40f.26 EastShare v2 [10/22/2003]
--------------------------------------------------------
based on [MorphKad 0.5]

MERGED : Code merged to MorphKad 0.5 (eMule 0.40f.26) [Pretender]
         ADDED  : New EastShare preference tab [Pretender]
         ADDED  : Options to set expired time of clients and known files [TAHO]

----------------------------------------------------------
Changelog for eMule v0.40e.21 EastShare K0.1 [10/17/2003]
----------------------------------------------------------
based on [MorphKad 0.4]

MERGED : Code merged to MorphKad 0.4 (eMule 0.40e.21) [Pretender]

-------------------------------------------------------
Changelog for eMule v0.30a EastShare v1.3 [09/29/2003]
-------------------------------------------------------
based on [MorphNext pre-2b]

ADDED  : Automatically backup backups in backup2 directory [linekin]
ADDED  : "Yes To All" selection for the popup confirmation message in the BackUp Utility (TBH) [Pretender]
ADDED  : Only download complete files v2.1 (shadow) [AndCycle]
ADDED  : EastShare credit system [TAHO/Pretender]
ADDED  : HideOS settings for each file [linekin]
ADDED  : Pay Back First option [AndCycle]
ADDED  : Add USS settings in scheduler tab [Pretender]
ADDED  : Possibility to use different URL for updating FakeList and IPFilter (Yun.SF3) [AndCycle]
FIXED  : Small bug, eMule allows to open unfinished files (NoamSon) [AndCycle]
FIXED  : Auto incremental resume order in case we don't show the selection dialog (SiRoB) [AndCycle]
FIXED  : Sorting By Prio in SharedFileList (SiRoB) [Pretender]
FIXED  : Crash bug when URL of FakeCheck or IPFilter down (Yun.SF3) [AndCycle]
CHANGED: Powershare on the download file is available when only 1 complet source is detected (SiRoB) [Pretender]
CHANGED: Updated SpreadBar from SLUGFILLER (Thanks for his optimisation) (SiRoB) [Pretender]
CHANGED: Updated hideOS function (SiRoB) [Pretender]
CHANGED: The IPFilter.dat is now hosted at eMuleitor.com (like the fake list)
CHANGED: The way to limit the powersharing now based on additionnal info (SiRoB) [Pretender]

NOTES  : EashShare credit system calculating method:
         base ratings: id. users(100); not supported users(80); invalid id. users(0); min.=10, max.=2500
         +6 per one MB for uploaded and -5~-6(-6n+n**0.8) for downloaded
         if clients download from you < upload to you, -2 for each (download-upload) MB

       Pay Back First:
         The one uploaded to you more than downloaded from you will get extra +1000000 score

       Only download complete files:
         -if a file was not seen complete, no data is downloaded and no bandwidth is wasted.
         -while waiting for the file to show up complete, sources are asked every (FILEREASKTIME*2).
         -the download can be manually started in the file-context menu. (last seen will be 07-07-2002, 
          that's emule birthday. change tick count to 946681200 for sat, 01-01-2000)
         -if a file is stopped and restarted, this waiting state will be restored.

-------------------------------------------------------
Changelog for eMule v0.30a EastShare v1.2 [09/16/2003]
-------------------------------------------------------
based on [MorphNext 2a]

ADDED  : AutoBackup from TheBlackHand mod [Pretender]
ADDED  : Option to use max-ping-value or tolerance in USS [TAHO]
ADDED  : PreferShareAll option (SlugFiller) [AndCycle]
FIXED  : Source Request Server File (SiRoB) [AndCycle]

-------------------------------------------------------
Changelog for eMule v0.30a EastShare v1.1 [09/11/2003]
-------------------------------------------------------
based on [MorphNext 2a]

FIXED  : overflow in lovelace credit system [linekin/TAHO]

-------------------------------------------------------
Changelog for eMule v0.30a EastShare v1.0 [09/10/2003]
-------------------------------------------------------
based on [MorphNext 2a]

MERGED : Code merged to MorphNext 2a [linekin]
ADDED  : Added EastShare client icon [Pretender/TAHO/®Xì­]
CHANGED: New logo and about [®Xì­]

-------------------------------------------------------
Changelog for eMule v0.30a EastShare v0.2 [09/09/2003]
-------------------------------------------------------
based on [MorphNext 2a] beta version

ADDED  : Option to use so8so's Ratio Credit System [linekin]
CHANGED: "Boost the Less Uploaded Files" option was merged with another three credit systems [linekin]

-------------------------------------------------------
Changelog for eMule v0.30a EastShare v0.1 [09/09/2003]
-------------------------------------------------------
based on [MorphNext 2a] beta version

ADDED  : Option to use official or lovelace credit system [linekin]



----------------------------------------
MERGED :
ADDED  :
FIXED  :
TWEAKED:
REMOVED:
CHANGED:
NOTES  :